stages:
  - build
  - deploy

buildanddoc:
  image: rocker/verse
  stage: build
  script:
    - apt-get update
    - apt-get install -y tk
    - R -e 'install.packages(c("pkgdown", "ggeffects", "glmmTMB", "patchwork", "gt", "fishmethods", "sjPlot"))'
    - R -e 'devtools::document()'
    - R -e 'devtools::install()'
    - R -e 'pkgdown::build_site()'
  artifacts:
    paths:
      - docs

pages:
  stage: deploy
  script:
    - mv docs public
  artifacts:
    paths:
      - public
